<template>
	<button @click="authWithFacebookProvider">
		<img src="~@/assets/img/Facebook.png" />
		{{ title }}
	</button>
</template>
<script lang="ts">
import {Component, Prop, Vue} from 'vue-property-decorator'
import auth, {FBProvider} from "@/config/auth";
@Component
export default class ButtonFacebook extends Vue {
	@Prop({ default: '' }) readonly title!: string

	authWithFacebookProvider(){
		auth.signInWithRedirect(FBProvider);
	}
}
</script>

<style scoped>
button {
	background: #1778f2;
	border: 1px solid #1778f2;
	display: flow-root;
	color: white;
	padding: 0.5em;
	box-sizing: border-box;
	box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.25);
	border-radius: 6px;
	width: 100%;
	font-weight: 500;
	font-size: 1.2em;
}
img {
	margin: 0 auto;
}
</style>